Skip to main content

This site requires you to update your browser. Your browsing experience maybe affected by not having the most up to date version.

We're retiring the forums!

The SilverStripe forums have passed their heyday. They'll stick around, but will be read only. We'd encourage you to get involved in the community via the following channels instead:

Installing SilverStripe /

Getting SilverStripe up and running on your computer and on your web server.

Moderators: martimiz, Sean, Ed, biapar, Willr, Ingo, swaiba

2.4.7 install, "sapphire/main.php" is smaller than min_uid ??? Never had this error before


Go to End


3 Posts   1473 Views

Avatar
novaweb

Community Member, 116 Posts

30 May 2012 at 12:12pm

Hey Guys,

This server I have 40+ SilverStripe installs running on, having never seen this error before I'm a little lost.

To know my process: I extracted SilverStripe247Installer.tar.gz as root, chmod -R 755 *, chown -R myuser, chgrp -R myuser, chmod 777 .htaccess, chmod 777 mysite/_config.php

The error I'm getting in apache log:

SoftException in Application.cpp:350: UID of script "public_html/sapphire/main.php" is smaller than min_uid

Any ideas welcome.

Cheers,
Nova

Avatar
novaweb

Community Member, 116 Posts

30 May 2012 at 12:58pm

Additionally I have just run chown -R myuser:myuser *, that hasn't worked either.

Avatar
euro-space.net

Community Member, 1 Post

20 February 2013 at 8:22am

If you have root access, that's best, try to run SSH command:

chown -R user:user /home/user/public_html/

This works.